/// <reference types="deck.gl" />
import { CompositeLayer } from "@deck.gl/core";
import { ExtendedLayerProps } from "../utils/layerTools";
import { RGBAColor } from "@deck.gl/core/utils/color";
import { Position } from "@deck.gl/core/utils/positions";
import { PolygonLayer } from "@deck.gl/layers";
import { Position3D } from "@deck.gl/core/utils/positions";
declare type CellData = {
    i: number;
    j: number;
    z: number;
    cs: [Position3D, Position3D, Position3D, Position3D];
    vs: [number];
};
declare type GridData = CellData[];
declare type CellProperties = {
    color: RGBAColor;
    i: number;
    j: number;
    depth: number;
    value: number;
};
interface PolygonData {
    polygon: Position[];
    properties: CellProperties;
}
export interface GridLayerProps<D> extends ExtendedLayerProps<D> {
    colorMapName: string;
    valueRange: [number, number];
    colorMapRange: [number, number];
}
export default class GridLayer extends CompositeLayer<GridData, GridLayerProps<GridData>> {
    initializeState(): void;
    getPickingInfo({ info }: {
        info: any;
    }): any;
    renderLayers(): PolygonLayer<PolygonData>[];
}
export {};
